Bug 1021485 - Review Request: oscap-anaconda-addon - Anaconda addon integrating OpenSCAP to the installation process
Review Request: oscap-anaconda-addon - Anaconda addon integrating OpenSCAP to...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matej Stuchlik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 07:45 EDT by Vratislav Podzimek
Modified: 2016-01-31 21:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-18 05:08:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mstuchli: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vratislav Podzimek 2013-10-21 07:45:30 EDT
Spec URL: http://vpodzime.fedorapeople.org/oscap-anaconda-addon/oscap-anaconda-addon.spec
SRPM URL: http://vpodzime.fedorapeople.org/oscap-anaconda-addon/oscap-anaconda-addon-0.2.tar.gz
Description: An addon that integrates OpenSCAP utilities with the Anaconda installer and allows installation of systems following restrictions given by a SCAP content.
Fedora Account System Username: vpodzime
Comment 1 Matej Stuchlik 2013-10-22 04:05:12 EDT
I'll take this.
Comment 2 Matej Stuchlik 2013-10-22 04:55:19 EDT
In %files, is there a point in listing all the directories and files instead of just %{_datadir}/anaconda/addons/org_fedora_oscap? "If you list a directory, then you are claiming that the package owns that directory and all files and subdirectories contained within." [0]

[0] http://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25files_section
Comment 3 Vratislav Podzimek 2013-10-22 09:20:37 EDT
Good point, thanks! Updated spec file uploaded. [1]

[1] http://vpodzime.fedorapeople.org/oscap-anaconda-addon/oscap-anaconda-addon.spec
Comment 4 Matej Stuchlik 2013-10-24 04:48:22 EDT
Ok, seems good to go, approved!
Comment 5 Vratislav Podzimek 2013-10-30 12:19:59 EDT
(In reply to Matej Stuchlik from comment #4)
> Ok, seems good to go, approved!
Thanks a lot!
Comment 6 Vratislav Podzimek 2013-10-30 12:21:54 EDT
New Package SCM Request
=======================
Package Name: oscap-anaconda-addon
Short Description: Anaconda addon integrating OpenSCAP to the installation process
Owners: vpodzime
Branches: f19 f20
InitialCC:
Comment 7 Gwyn Ciesla 2013-10-30 12:24:41 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-10-31 04:47:17 EDT
oscap-anaconda-addon-0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/oscap-anaconda-addon-0.2-1.fc20
Comment 9 Fedora Update System 2013-10-31 04:48:16 EDT
oscap-anaconda-addon-0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/oscap-anaconda-addon-0.2-1.fc19
Comment 10 Fedora Update System 2013-11-10 01:06:37 EST
oscap-anaconda-addon-0.2-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2013-11-10 21:37:51 EST
oscap-anaconda-addon-0.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Matej Stuchlik 2015-08-18 05:08:19 EDT
Closing this as it seems to be resolved, feel free to reopen if necessary. :)

Note You need to log in before you can comment on or make changes to this bug.